-- Make a class for Warrior-based constants and funcitonality
-- load this class when castparty starts and detects the player's class as Warrior
-- use an instance to call desired overloaded methods

local WARRIOR_NAMESPACE = {} -- declare the namespace
CastParty.BrainFactory.WARRIOR = WARRIOR_NAMESPACE

--DEFAULT_CHAT_FRAME:AddMessage("loading brainWarrior.lua")

-------------------
-- Locals

function WARRIOR_NAMESPACE.new()
  CastParty.Debug(4, "making a new Warrior brain")
  
  -- shouldn't need this
  WARRIOR_NAMESPACE.className = 'WARRIOR'
  
  -- WARRIOR_NAMESPACE.heal_types = {
  -- }
  -- 
  -- WARRIOR_NAMESPACE.class_buffs = {
      --TODO: add non heal/shield buffs
  -- }
  -- 
  -- WARRIOR_NAMESPACE.spell_parsers = {
  -- }
  
  return WARRIOR_NAMESPACE
end

--@Override
function WARRIOR_NAMESPACE.ReloadSpellData()
  CastParty.Debug(1, "calling Warrior.ReloadSpellData")
  return CastParty.BrainBase.ReloadSpellData(WARRIOR_NAMESPACE)
end

function WARRIOR_NAMESPACE.GetHealAmount(spellEntry)
  --CastParty.Debug(1, 'calling Warrior.GetHealAmount')
  return CastParty.BrainBase.GetHealAmount(spellEntry, WARRIOR_NAMESPACE);
end
