-- Default french text (by ???????)  -note: don't change the line numbers... it makes it easier to compare....

if (LOCALE_frFR) then
   -- Options
   CASTPARTY_RESET_CONFIRMATION = "Are you sure you want to reset all your CastParty options to default values?\n\nWARNING:\n Clicking 'Okay' will Reload your entire UI! This will take several seconds; please be patient.";

   CASTPARTY_ONLOAD_MESSAGE     = "CastParty " .. CASTPARTY_VERSION .. " loaded.";

   CASTPARTY_ALIGNMENT_HIDE                 = "hide";
   CASTPARTY_ALIGNMENT_RIGHT                = "right";
   CASTPARTY_ALIGNMENT_LEFT                 = "left";
   CASTPARTY_ALIGNMENT_BELOW                = "below";
   CASTPARTY_KEYBINDINGS_NONE               = "None";
   CASTPARTY_KEYBINDINGS_OTHER              = "Other";
   CASTPARTY_MESSAGECHANNEL_RAID            = "raid";
   CASTPARTY_MESSAGECHANNEL_PARTY           = "party";
   CASTPARTY_MESSAGECHANNEL_PLAYER          = "player";
   CASTPARTY_MESSAGECHANNEL_WHISPER         = "whisper";

    -- healing spell base names
   CASTPARTY_HEAL_HEALING_WAVE              = "Vague de soins";
   CASTPARTY_HEAL_LESSER_HEALING_WAVE       = "Vague de soins inf\195\169rieurs";
   CASTPARTY_HEAL_CHAIN_HEAL                = "Salve de gu\195\169rison";
   CASTPARTY_HEAL_LESSER_HEAL               = "Soins inf\195\169rieurs";
   CASTPARTY_HEAL_HEAL                      = "Soins";
   CASTPARTY_HEAL_GREATER_HEAL              = "Soins sup\195\169rieurs";
   CASTPARTY_HEAL_FLASH_HEAL                = "Soins rapides";
   CASTPARTY_HEAL_RENEW                     = "R\195\169novation";
   CASTPARTY_HEAL_PRAYER_OF_HEALING         = "Pri\195\168re de soins";
   CASTPARTY_HEAL_HEALING_TOUCH             = "Toucher gu\195\169risseur";
   CASTPARTY_HEAL_REJUVENATION              = "R\195\169cup\195\169ration";
   CASTPARTY_HEAL_REGROWTH                  = "R\195\169tablissement";
   CASTPARTY_HEAL_TRANQUILITY               = "Tranquilit\195\169";
   CASTPARTY_HEAL_HOLY_LIGHT                = "Feu sacr\195\169e";
   CASTPARTY_HEAL_FLASH_OF_LIGHT            = "Eclair lumineux";
   CASTPARTY_HEAL_MEND_PET                  = "Gu\195\169rison du Familier";
   CASTPARTY_HEAL_HEALTH_FUNNEL             = "Concentration de Vie";
   CASTPARTY_HEAL_FIRST_AID                 = "First Aid";
   CASTPARTY_HEAL_HOLY_SHOCK                = "Holy Shock";

   -- resurrection spell names
   CASTPARTY_RES_ANCESTRAL_SPIRIT           = "Esprit Ancestral";
   CASTPARTY_RES_RESURRECTION               = "R\195\169surrection";
   CASTPARTY_RES_REBIRTH                    = "Renaissance";
   CASTPARTY_RES_REDEMPTION                 = "R\195\169demption";
   -- CASTPARTY_RES_SHAMSELFREZ                = "R\195\169incarnation";

   -- cure/ailment spell base names
   CASTPARTY_CURE_DISEASE_1                 = "Gu\195\169rison des maladies";
   CASTPARTY_CURE_DISEASE_2                 = "Abolir maladie";
   CASTPARTY_CURE_PURIFY_1                  = "Purification";
   CASTPARTY_CURE_CLEANSE_1                 = "Epuration";
   CASTPARTY_CURE_MAGIC_1                   = "Dissiper la magie";
   CASTPARTY_CURE_MAGIC_2                   = "Devour Magic";
   CASTPARTY_CURE_POISON_1                  = "Gu\195\169rison du poison";
   CASTPARTY_CURE_POISON_2                  = "Abolir le Poison";
   CASTPARTY_CURE_CURSE_1                   = "D\195\169livrance de la mal\195\169diction mineure";
   CASTPARTY_CURE_CURSE_2                   = "D\195\169livrance de la mal\195\169diction";
   CASTPARTY_CURE_PURGE                     = "Purge";

   -- cure/ailment types
   CASTPARTY_AILMENT_DISEASE                = "Maladie";
   CASTPARTY_AILMENT_MAGIC                  = "Magie";
   CASTPARTY_AILMENT_POISON                 = "Poison";
   CASTPARTY_AILMENT_CURSE                  = "Mal\195\169diction";

   -- buff spell base names

   -- Druid
   -- CASTPARTY_BUFF_NATURES_GRASP            = "Enchev\195\170trement";
   CASTPARTY_BUFF_NATURES_SWIFTNESS         = "C\195\169l\195\169rit\195\169 naturelle";
   -- CASTPARTY_BUFF_BARKSKIN                  = "Ecorce";
   CASTPARTY_BUFF_INNERVATE                 = "Innervation";
   CASTPARTY_BUFF_MOTW                      = "Marque de la nature";
   CASTPARTY_BUFF_THORNS                    = "Epines";

   -- Mage
   -- CASTPARTY_BUFF_FIRE_WARD                 = "Gardien de feu";
   -- CASTPARTY_BUFF_FROST_WARD                = "Gardien de glace";

   -- CASTPARTY_BUFF_COLD_SNAP                 = "Morsure de glace";
   -- CASTPARTY_BUFF_COMBUSTION                = "Combustion";
   -- CASTPARTY_BUFF_EVOCATION                 = "Evocation";
   -- CASTPARTY_BUFF_PRESENCE_OF_MIND          = "Pr\195\169sence spirituelle";
   -- CASTPARTY_BUFF_ARCANE_POWER              = "Puissance des arcanes";
   CASTPARTY_BUFF_MANA_SHIELD               = "Bouclier de mana";
   -- CASTPARTY_BUFF_ICE_BLOCK                 = "Parade de glace";
   CASTPARTY_BUFF_ICE_BARRIER               = "Barri\195\168re de glace";
   CASTPARTY_BUFF_FROST_ARMOR               = "Armure de glace";
   CASTPARTY_BUFF_ICE_ARMOR                 = "Armure de glace";
   -- CASTPARTY_BUFF_SLOW_FALL                 = "Chute lente";
   -- CASTPARTY_BUFF_MAGE_ARMOR                = "Armure du mage";

   -- CASTPARTY_BUFF_AMPLIFY_MAGIC             = "Amplifier la magie";
   -- CASTPARTY_BUFF_DAMPEN_MAGIC              = "Att\195\169nuer la magie";
   CASTPARTY_BUFF_ARCANE_INTELLECT          = "Intelligence des arcanes";

   -- Paladin
   CASTPARTY_BUFF_BLESS_OF_SACRIFICE        = "B\195\169n\195\169diction de sacrifice";
   CASTPARTY_BUFF_BLESS_OF_SALVATION        = "B\195\169n\195\169diction de salut";
   CASTPARTY_BUFF_BLESS_OF_FREEDOM          = "B\195\169n\195\169diction de libert\195\169";
   CASTPARTY_BUFF_BLESS_OF_LIGHT            = "B\195\169n\195\169diction de lumi\195\168re";
   CASTPARTY_BUFF_BLESS_OF_SANCTUARY        = "B\195\169n\195\169diction du sanctuaire";
   CASTPARTY_BUFF_BLESS_OF_KINGS            = "B\195\169n\195\169diction des rois";
   CASTPARTY_BUFF_BLESS_OF_PROTECTION       = "B\195\169n\195\169diction de puissance";
   CASTPARTY_BUFF_BLESS_OF_MIGHT            = "B\195\169n\195\169diction de protection";
   CASTPARTY_BUFF_BLESS_OF_WISDOM           = "B\195\169n\195\169diction de sagesse";
   CASTPARTY_BUFF_GREAT_BLESS_OF_LIGHT      = "B\195\169n\195\169diction de lumi\195\168re sup\195\169rieurs";
   CASTPARTY_BUFF_GREAT_BLESS_OF_SANCT      = "B\195\169n\195\169diction du sanctuaire sup\195\169rieurs";
   CASTPARTY_BUFF_GREAT_BLESS_OF_KINGS      = "B\195\169n\195\169diction des rois sup\195\169rieurs";
   CASTPARTY_BUFF_GREAT_BLESS_OF_MIGHT      = "B\195\169n\195\169diction de protection sup\195\169rieurs";
   CASTPARTY_BUFF_GREAT_BLESS_OF_WISDOM     = "B\195\169n\195\169diction de sagesse sup\195\169rieurs";
   CASTPARTY_BUFF_GREAT_BLESS_OF_SALV       = "B\195\169n\195\169diction de salut sup\195\169rieurs";

   -- CASTPARTY_BUFF_SEAL_OF_COMMAND           = "Sceau d'autorit\195\169";
   -- CASTPARTY_BUFF_SEAL_OF_FURY              = "Sceau de furie";
   -- CASTPARTY_BUFF_SEAL_OF_JUSTICE           = "Sceau de justice";
   -- CASTPARTY_BUFF_SEAL_OF_LIGHT             = "Sceau de lumi\195\168re";
   -- CASTPARTY_BUFF_SEAL_OF_RIGHTEOUSNESS     = "Sceau de pi\195\169t\195\169";
   -- CASTPARTY_BUFF_SEAL_OF_WISDOM            = "Sceau de sagesse";
   -- CASTPARTY_BUFF_SEAL_OF_THE_CRUSADER      = "Sceau du crois\195\169";
   CASTPARTY_BUFF_DIVINE_PROTECTION         = "Protection divine";
   CASTPARTY_BUFF_DIVINE_SHIELD             = "Bouclier divin";
   -- CASTPARTY_BUFF_HOLY_SHIELD               = "Bouclier sacr\195\169";
   -- CASTPARTY_BUFF_DIVINE_FAVOR              = "Faveure divine";

   -- Priest
   -- CASTPARTY_BUFF_FEAR_WARD                 = "Protection contre la peur";
   CASTPARTY_BUFF_DIVINE_SPIRIT             = "Esprit divin";
   CASTPARTY_BUFF_POWER_WORD_FORTITUDE      = "Mot de pouvoir : Robustesse";
   CASTPARTY_BUFF_POWER_WORD_SHIELD         = "Mot de pouvoir : Bouclier";
   CASTPARTY_BUFF_SHADOW_PROTECTION         = "Protection contre l\'ombre";
   CASTPARTY_BUFF_INNER_FIRE                = "Feu int\195\169rieur";
   CASTPARTY_BUFF_INNER_FOCUS               = "Inner Focus";
   CASTPARTY_BUFF_SPIRIT_OF_REDEMPTION      = "Spirit of Redemption";

   -- Warrior
   CASTPARTY_BUFF_MORTAL_STRIKE             = "Mortal Strike";

   -- Shaman
   CASTPARTY_BUFF_SWIFTMEND                 = "Swiftmend";

   -- debuff spell base names
   CASTPARTY_DEBUFF_WS                      = "Ame affaiblie";

   -- bandage names
   CASTPARTY_BAND_HEAVY_RUNECLOTH           = "Bandage en \195\169toffe runique lourd";
   CASTPARTY_BAND_RUNECLOTH                 = "Bandage en \195\169toffe runique";
   CASTPARTY_BAND_HEAVY_MAGEWEAVE           = "Bandage \195\169pais en tissu de mage";
   CASTPARTY_BAND_MAGEWEAVE                 = "Mageweave BandageBandage en tissu de mage";
   CASTPARTY_BAND_HEAVY_SILK                = "Bandage en soie \195\169paisse";
   CASTPARTY_BAND_SILK                      = "Bandage en soie";
   CASTPARTY_BAND_HEAVY_WOOL                = "Bandage en laine \195\169paisse";
   CASTPARTY_BAND_WOOL                      = "Bandage en laine";
   CASTPARTY_BAND_HEAVY_LINEN               = "Bandage en lin \195\169pais";
   CASTPARTY_BAND_LINEN                     = "Bandage en lin";

   -- druid reagents required for resurrections
   CASTPARTY_REA_MAPLE_SEED                 = "Graine d\'\195\169rable";
   CASTPARTY_REA_STRANGLETHORN_SEED         = "Graine de strangleronce";
   CASTPARTY_REA_ASHWOOD_SEED               = "Graine de fr\195\170ne";
   CASTPARTY_REA_HORNBEAM_SEED              = "Graine de charme";
   CASTPARTY_REA_IRONWOOD_SEED              = "Graine de bois de fer";

   -- key bindings
   BINDING_HEADER_CASTPARTY_HEADER           = "CastParty";
   BINDING_NAME_CASTPARTY_OPTIONS            = "CastParty Options"
   BINDING_NAME_CASTPARTY_DOTHERIGHTTHING    = "Mach das Beste!";
   BINDING_NAME_CASTPARTY_CUREGROUPMEMBER    = "Ent-fluchen, -giften";
   BINDING_NAME_CASTPARTY_EFFICIENT          = "Nur effiziente Zauber";
   BINDING_NAME_CASTPARTY_EMERGENCY          = "Nur notfall Zauber";
   BINDING_NAME_CASTPARTY_GROUP              = "Nur Gruppen Zauber";
   BINDING_NAME_CASTPARTY_INSTANT            = "Nur instant Zauber";
   BINDING_NAME_CASTPARTY_APPLYHEAL          = "Situations Heilung";
   BINDING_NAME_CASTPARTY_BANDAGE            = "Bandage";
   BINDING_NAME_CASTPARTY_SHIELD             = "Wirke Schild";
   BINDING_NAME_CASTPARTY_REBUFF             = "Buff-O-Matic";
   BINDING_NAME_CASTPARTY_STOPSPELL          = "Cancel-O-Matic";
   BINDING_NAME_CASTPARTY_PANIC              = "Panic";
   BINDING_NAME_CASTPARTY_TOGGLEMAXRANK      = "Toggle Max Rank Heal";
   BINDING_NAME_CASTPARTY_BATTLEFIELD_HEAL   = "Battlefield Heal";


   -- misc
   CASTPARTY_RANK                           = "Rank";
   CASTPARTY_PARTY                          = "party";
   CASTPARTY_CLEARCASTING                   = "Clearcasting";
   CASTPARTY_HEALING_BONUS                  = "Healing Bonus from items: ";
   CASTPARTY_MONITOR                        = "Monitor";
   CASTPARTY_UNMONITOR                      = "UnMonitor";
   CASTPARTY_TARGET                         = "Show SubTarget";
   CASTPARTY_UNTARGET                       = "Hide SubTarget";
   CASTPARTY_CORPSEOF                       = "Corpse of ";
   CASTPARTY_GHOST                          = "Ghost";
   CASTPARTY_REZ_SICK                       = "Ressurection Sickness";
   CASTPARTY_SHIELD_HEAL                    = "Shield detected! Healing instead...";
   CASTPARTY_GHOST_HEAL                     = "They have released! You must manually click on the body!!";
   CASTPARTY_RALLYING_CRY                   = "Rallying Cry of the Dragonslayer";
   CASTPARTY_WARCHIEFS_BLESS                = "Warchief\'s Blessing";


   -- Options tooltips
   CASTPARTY_OPTIONS_TEXT1    = "Show CP player";
   CASTPARTY_TOOLTIP1         = "Uncheck to hide CP Player Frame";

   CASTPARTY_OPTIONS_TEXT2    = "Hide normal party";
   CASTPARTY_TOOLTIP2         = "Check to hide the Blizzard Party Frame";

   CASTPARTY_OPTIONS_TEXT3    = "Show status bar";
   CASTPARTY_TOOLTIP3         = "Specify whether statusbar frame is visible";

   CASTPARTY_OPTIONS_TEXT5    = "Show CP party";
   CASTPARTY_TOOLTIP5         = "Uncheck to hide CP Party Frame";

   CASTPARTY_OPTIONS_TEXT6    = "Lock CastParty position";
   CASTPARTY_TOOLTIP6         = "Check to lock the position of the party bars \n(so that they cannot be moved)";

   CASTPARTY_OPTIONS_TEXT8    = "Show CP target";
   CASTPARTY_TOOLTIP8         = "Check to show the CP Target Frame";

   CASTPARTY_OPTIONS_TEXT9    = "Hide normal target";
   CASTPARTY_TOOLTIP9         = "Check to hide the Blizzard Target Frame";

   CASTPARTY_OPTIONS_TEXT10   = "Hide normal player";
   CASTPARTY_TOOLTIP10        = "Check to hide the Blizzard Player Frame";

   CASTPARTY_OPTIONS_TEXT11   = "Range Status";
   CASTPARTY_TOOLTIP11        = "Check to use the status bar's color to approximate \n the distance to the player";

   CASTPARTY_OPTIONS_TEXT12   = "Allow custom blizz clicks";
   CASTPARTY_TOOLTIP12        = "Check to use CastParty click behavior for the "..BLU.."Blizzard "..WHT.."unit frames. \nThis will "..RED.."MODIFY "..WHT.."the default behavior for them!!!";

   CASTPARTY_OPTIONS_TEXT13   = "Allow custom click behavior";
   CASTPARTY_TOOLTIP13        = "Check to use CastParty click behavior for "..ORN.."other "..WHT.."unit frames. \nThis will "..RED.."MODIFY "..WHT.."the default behavior for them!!!";


   -- buffs tooltips
   CASTPARTY_OPTIONS_TEXT101  = "Show debuffs";
   CASTPARTY_TOOLTIP101       = "Specify whether debuffs should be shown or not";

   CASTPARTY_OPTIONS_TEXT102  = "Show buffs";
   CASTPARTY_TOOLTIP102       = "Specify whether buffs should be shown or not";

   CASTPARTY_OPTIONS_TEXT103  = "Filter buffs";
   CASTPARTY_TOOLTIP103       = "Specify whether buffs should be filtered to only those that you can cast";

   CASTPARTY_OPTIONS_TEXT104  = "Filter debuffs";
   CASTPARTY_TOOLTIP104       = "Specify whether debuffs should be filtered to only those that you can cure";

   CASTPARTY_OPTIONS_TEXT106  = "Show Tooltips";
   CASTPARTY_TOOLTIP106       = "Specify whether tooltips should be shown when mousing over buffs and debuffs";

   CASTPARTY_OPTIONS_TEXT1061 = "Hide Tooltips in Combat";
   CASTPARTY_TOOLTIP1061      = "Specify if you want to hide the buff tooltips while in combat";

   CASTPARTY_OPTIONS_TEXT107  = "Show common buffs";
   CASTPARTY_TOOLTIP107       = "Specify if you want to always display common buffs (mounts, drink/food)";

   CASTPARTY_TOOLTIP108       = "Specify manner in which way buffs are displayed with respect to the party bars";
   CASTPARTY_TOOLTIP113       = "Specify manner in which way debuffs are displayed with respect to the party bars";

   CASTPARTY_OPTIONS_TEXT114  = "Show HOTs";
   CASTPARTY_TOOLTIP114       = "Check to always show Renew, Rejuvenation, and Regrowth";

   CASTPARTY_TOOLTIP117       = "Select the maximum number of buffs and debuffs to show"


   -- bars tooltips
   CASTPARTY_OPTIONS_TEXT200  = "Show Tooltips";
   CASTPARTY_TOOLTIP200       = "Specify whether tooltips should be shown when mousing over players in your party";

   CASTPARTY_OPTIONS_TEXT2001 = "Hide Tooltips in Combat";
   CASTPARTY_TOOLTIP2001      = "Specify if you want to hide the party tooltips while in combat";

   CASTPARTY_OPTIONS_TEXT201  = "Show power";
   CASTPARTY_TOOLTIP201       = "Check to show rage/energy for warriors/rogues (and shifted druids)";

   CASTPARTY_OPTIONS_TEXT203  = "Show Flags";
   CASTPARTY_TOOLTIP203       = "Uncheck to disable showing of flags such as \nParty Leader, PVP, and Loot Master";

   CASTPARTY_OPTIONS_TEXT204  = "Flow Up";
   CASTPARTY_TOOLTIP204       = "Reverse the order in which the frames are displayed \n(top -> bottom   OR   bottom -> top)";

   CASTPARTY_TOOLTIP205       = "Specify the height of your health bar";
   CASTPARTY_TOOLTIP206       = "Specify the height of your mana bar";
   CASTPARTY_TOOLTIP207       = "Specify the width of your health and mana bars";

   CASTPARTY_TOOLTIP208       = "Specify the format of the text on your party member bars"..
                                "\n    %n - unit name\n    %h - current health\n    %Mh - max health\n    %Dh - health deficit\n    %Ph - health percent\n    %DPh - health deficit percent\n    %m - current mana/rage/energy\n    %Mm - max m/r/e\n    %Dm - m/r/e deficit\n    %Pm - m/r/e percent\n    %DPm - m/r/e deficit percent\n    %l - level\n    %L - don't show lvl 60\n    %c - class\n    %C - class short name\n\n    %NL - line break"..
                                "\nPress enter to set.";
   CASTPARTY_TOOLTIP209       = "Specify the format of the text on your target bar"..
                                "\n    %n - unit name\n    %h - current health\n    %Mh - max health\n    %Dh - health deficit\n    %Ph - health percent\n    %DPh - health deficit percent\n    %m - current mana/rage/energy\n    %Mm - max m/r/e\n    %Dm - m/r/e deficit\n    %Pm - m/r/e percent\n    %DPm - m/r/e deficit percent\n    %l - level\n    %L - don't show lvl 60\n    %c - class\n    %C - class short name\n\n    %NL - line break"..
                                "\nPress enter to set.";

   CASTPARTY_OPTIONS_TEXT210  = "Color Names";
   CASTPARTY_TOOLTIP210       = "Check to color names by what class they are";

   CASTPARTY_OPTIONS_TEXT211  = "Color Level";
   CASTPARTY_TOOLTIP211       = "Check to color level by how difficult\n they are in relation to you";


   -- behavior tooltips
   CASTPARTY_OPTIONS_TEXT300  = "Health";
   CASTPARTY_TOOLTIP300       = "Specify growth/coloring behavior of"..GRN.." HEALTH"..WHT.." bars\n    checked: bars grow as  pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3001 = "Mana";
   CASTPARTY_TOOLTIP3001      = "Specify growth/coloring behavior of"..BLU.." MANA"..WHT.." bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3002 = "Rage";
   CASTPARTY_TOOLTIP3002      = "Specify growth/coloring behavior of"..RED.." RAGE"..WHT.." bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3003 = "Focus";
   CASTPARTY_TOOLTIP3003      = "Specify growth/coloring behavior of"..RED.." FOCUS "..WHT.."bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3004 = "Energy";
   CASTPARTY_TOOLTIP3004      = "Specify growth/coloring behavior of"..YEL.." ENERGY "..WHT.."bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_TOOLTIP301       = "Specifies the health percentage a given spell must \nsatisfy to be chosen as the most appropriate heal.\nFor example; a value of 0.90 indicates that if a heal gets \nthe player to 90% health no higher heal will be tested";
   CASTPARTY_TOOLTIP302       = "If the heal spell being cast is not going to hit for at least this \nfraction of it's potential; it will cancel. \nSo; if you set it to 20% then a 1000 point heal will go through \nif the recipient needs at least 200 points of healing";
   CASTPARTY_TOOLTIP303       = "If the amount of healing that your group heal spell can do \n(assuming you have one) is this much more health/mana efficient \nthan your best single target efficient heal the group heal will be favored.\nThis affects the 'Do The Right Thing' key binding.";

   CASTPARTY_OPTIONS_TEXT304  = "Emergency in combat";
   CASTPARTY_TOOLTIP304       = "Checked Specifies that emergency spells will be favored when \nthe player is on a monster's hate list and has recenty taken damage";

   CASTPARTY_TOOLTIP305       = "Specifies the health percentage at which the player will cast \nemergency heals in place of longer casting more efficient heals.";
   CASTPARTY_TOOLTIP306       = "Number of seconds for which damage will be considered recent in the above.\nA value of 2 (and checked for 'emergency_in_combat') means that the \nplayer must be in combat and taken damage in the last 2 seconds to \nautomatically use emergency heals";

   CASTPARTY_OPTIONS_TEXT308  = "Resurrect dead";
   CASTPARTY_TOOLTIP308       = "Enable resurection by clicking on dead player's bar";

   CASTPARTY_OPTIONS_TEXT309  = "Click to rebuff";
   CASTPARTY_TOOLTIP309       = "Check to enable re-casting of a buff when it's clicked on";

   CASTPARTY_OPTIONS_TEXT311  = "Click to debuff";
   CASTPARTY_TOOLTIP311       = "Check to enable curing a buff when it's clicked on";

   CASTPARTY_OPTIONS_TEXT312  = "Right-click to remove";
   CASTPARTY_TOOLTIP312       = "Check to enable cancelling a buff when right-clicked on";


   -- messaging tooltips
   CASTPARTY_OPTIONS_TEXT400  = "Message Heals";
   CASTPARTY_TOOLTIP400       = "Specify whether we should message about healing spells";

   CASTPARTY_OPTIONS_TEXT401  = "Message Non Heals";
   CASTPARTY_TOOLTIP401       = "Specify whether we should message about non-healing spells";

   CASTPARTY_TOOLTIP402       = "Specify where to send messages. \nSetting to raid while not in a raid will send to party. \nIf not in a party, setting to raid or party will not generate messages.";
   CASTPARTY_TOOLTIP403       = "Specify the health percentage at which and below \nwe should issue healing messages";
   CASTPARTY_TOOLTIP404       = "Specify the template to say when casting spells (nothing indicates no message)\n    %c - target class\n    %C - target class abbreviation\n    %d - duration of cast in seconds\n    %e - estamated lowest health amount healed on delivery\n    %h - health of target\n    %H - health deficit\n    %l - level of target\n    %L - level of target (hide if 60)\n    %m - health max of target\n    %n - name of target\n    %p - health percent of target\n    %P - health percent deficit of target\n    %r - spell rank\n    %s - spell name\n    %t - custom health message\n";

   CASTPARTY_OPTIONS_TEXT405  = "Message Failures";
   CASTPARTY_TOOLTIP405       = "Specify whether to message about spellcast failure or interrupt. \nOut of Range and Line of Sight failures should be reported."

   CASTPARTY_OPTIONS_TEXT406  = "Message Res";
   CASTPARTY_TOOLTIP406       = "Specify whether we should message when you ressurect another player";

   CASTPARTY_TOOLTIP407       = "Specify the health percentage at which and below we should issue failure messages";
   CASTPARTY_TOOLTIP408       = "Specify to stop spamming if mana is below this percentage";


   -- color tooltips
   CASTPARTY_TOOLTIP500       = "Specifies the color for the name plate text";
   CASTPARTY_TOOLTIP501       = "Specifies the color for the health bar background";
   CASTPARTY_TOOLTIP502       = "Specifies the color for the mana bar background";
   CASTPARTY_TOOLTIP503       = "Specifies the color for the FULL health bar.";
   CASTPARTY_TOOLTIP504       = "Specifies the color for the EMPTY health bar.";
   CASTPARTY_TOOLTIP505       = "Specifies the color for the FULL mana bar.";
   CASTPARTY_TOOLTIP506       = "Specifies the color for the EMPTY mana bar.";
   CASTPARTY_TOOLTIP507       = "Specifies the color for the name plate mana text";
   CASTPARTY_TOOLTIP508       = "Specifies the color for the name plate rage text";
   CASTPARTY_TOOLTIP509       = "Specifies the color for the name plate energy text";

   CASTPARTY_TOOLTIP601       = "Open the CastParty KeyBindings dialog; which lets you \nchoose set actions/spells to mouse clicks";
   CASTPARTY_TOOLTIP602       = "Resets all values to the default ones provided with CastParty.\nWill require reloading your UI (equivalent to logging out \nand back in but without leaving the server)";


   -- advanced tooltips
   CASTPARTY_TOOLTIP900       = "Specifies the time interval for the range checking to occur";

   CASTPARTY_OPTIONS_TEXT901  = "Monitor healing status";
   CASTPARTY_TOOLTIP901       = "Check to show the healing status monitor frame";

   CASTPARTY_OPTIONS_TEXT902  = "Toggle AutoInnerFire";
   CASTPARTY_TOOLTIP902       = "Check to autocast InnerFire, when you are in combat,\n and nothing important is happening";

   CASTPARTY_OPTIONS_TEXT903  = "Toggle AutoCast Canceler";
   CASTPARTY_TOOLTIP903       = "Check to automatically cancel wand/gun auto-casting/shooting \nif you try to cast a spell while you are auto-casting/shooting.";

   CASTPARTY_TOOLTIP904       = "Adjust the distance between the frames.";

   CASTPARTY_OPTIONS_TEXT905  = "Advanced Spell Logic";
   CASTPARTY_TOOLTIP905       = "Check to allow Heal-O-Matic to use advanced spell logic.";

   CASTPARTY_OPTIONS_TEXT906  = "OverHeal Protection";
   CASTPARTY_TOOLTIP906       = "Check to conserve mana when choosing spells, \nso that you do not overheal your target.";

   CASTPARTY_OPTIONS_TEXT907  = "Shield Detection";
   CASTPARTY_TOOLTIP907       = "Check if you want to use an efficient heal when\n a shield is present on the target.";

   CASTPARTY_OPTIONS_TEXT908  = "Max Rank Hot";
   CASTPARTY_TOOLTIP908       = "Check to force highest rank spell for HoT's,\n based only on mana, and level of target.\n  instead of based on health to recover.";

   CASTPARTY_TOOLTIP909       = "If set at e.g. 0.45 CastParty will try to use mana efficient\n (usually slower) spells once your mana is below 45%... \n (only used when emergency_in_combat is enabled.)";
   CASTPARTY_TOOLTIP910       = "This sets the target heal threshold for bandages.";
   CASTPARTY_TOOLTIP911       = "The setting only effects 'Do the right thing' and is a controling variable for\n  pets by setting it to 120% the pet will appear to have 20% more health then then it\n  otherwise would, setting it at 80% would make a pet appear to have 20% less\n  health. If you prefer healing pets, use a number <100%, if you prefer healing players,\n  keep it >100%.";
   CASTPARTY_TOOLTIP912       = "This allows you to change the debug level. \n Set to 5 to disable debug messages";

   CASTPARTY_OPTIONS_TEXT913  = "Critical Auto Shield";
   CASTPARTY_TOOLTIP913       = "Check to allow a shield to be cast if your target's health is below 15% \n (only with Advanced logic)";


   -- click key binding tooltips
   CASTPARTY_TOOLTIP1001 = "Specify what to do when you click on a frame";
   CASTPARTY_TOOLTIP1002 = "Specify what to do when you hold Alt and click on a frame";
   CASTPARTY_TOOLTIP1003 = "Specify what to do when you hold Alt and Control and click on a frame";
   CASTPARTY_TOOLTIP1004 = "Specify what to do when you hold Alt; Control; and Shift and click on a frame";
   CASTPARTY_TOOLTIP1005 = "Specify what to do when you hold Control and click on a frame";
   CASTPARTY_TOOLTIP1006 = "Specify what to do when you hold Control and Shift and click on a frame";
   CASTPARTY_TOOLTIP1007 = "Specify what to do when you hold Shift and click on a frame";

   CASTPARTY_TOOLTIP1011 = "Set the key bindings for left mouse button clicks";
   CASTPARTY_TOOLTIP1012 = "Set the key bindings for right mouse button clicks";
   CASTPARTY_TOOLTIP1013 = "Set the key bindings for middle mouse button clicks";
   CASTPARTY_TOOLTIP1014 = "Set the key bindings for button4 clicks";
   CASTPARTY_TOOLTIP1015 = "Set the key bindings for button5 clicks";

   CASTPARTY_TOOLTIP1041 = "Specify the spell to cast";


   -- minimap button tooltips
   TOOLTIP_DRAGICON       = "Click to drag.\nRight-click to hide.";

   TOOLTIP_MAPDRAGICON    = "CastParty Options.";
   TOOLTIP_MAP21DRAGICON  = "Click to toggle control panel.";
   TOOLTIP_MAP22DRAGICON  = "Click and drag to relocate button.";
   TOOLTIP_MAP31DRAGICON  = "Ctrl+click to force max heals.";
   TOOLTIP_MAP32DRAGICON  = "Click to allow normal heals.";
   TOOLTIP_MAP41DRAGICON  = "Right-click to unlock position.";
   TOOLTIP_MAP42DRAGICON  = "Right-click to lock position.";


   -- ------------------------------------------------------------------------------------
   -- FAILURE MESSAGES
   -- Specify whether to message about spell casting failures but still uses
   -- health_percent to control when to spam the chat channel. (nil indicates no message)
   -- ------------------------------------------------------------------------------------
   -- Out of range message set to nil to disable this message
   CastParty_message_range = '%n, You\'re out of range, %t';

   -- No line of sight set to nil to disable this message
   CastParty_message_sight = '%n, I can not see you, %t';

   -- Interrupted while casting a spell set to nil to disable this message
   CastParty_message_interrupt = 'I\'ve been interrupted while trying to heal %n, %t';

   -- the player is reciving damage while trying to heal set to nil to disable this message
   CastParty_message_under_attack = 'I\'m under attack and I am trying to heal %n, %t';

   -- the player is stunned while trying to heal set to nil to disable this message
   CastParty_message_stunned = 'I\'ve been stunned while trying to heal %n, %t';

   -- the player has been silenced while trying to heal, set to nil to disable this message
   CastParty_message_silenced = 'I\'ve been silenced while trying to heal %n, %t';

   -- the following messaged are printed if you use the %t options in previous text messages
   -- 90% - 100% health
   CastParty_message_health_100 = 'your health is full';

   -- 80% - 89% health
   CastParty_message_health_90 = 'and you\'re in great shape';

   -- 70% - 79% health
   CastParty_message_health_80 = 'but you\'re good to go';

   -- 60% - 69% health
   CastParty_message_health_70 = 'your health is fine';

   -- 50% - 59% health
   CastParty_message_health_60 = 'but you should be OK';

   -- 40% - 49% health
   CastParty_message_health_50 = 'you\'re Less then 1/2 health';

   -- 30% - 39% health
   CastParty_message_health_40 = 'things are not looking good for you';

   -- 20% - 29% health
   CastParty_message_health_30 = 'be careful';

   -- 10% - 19% health
   CastParty_message_health_20 = 'your health is CRITICAL';

   -- 0% - 9% health
   CastParty_message_health_10 = 'you\'re on LIFE SUPPORT!';
end

