-- Colors (because we use them in this file first... was in globals.)
GRN    ='|cff20ff20'
YEL    ='|cffffff00'
RED    ='|cffff0000'
WHT    ='|cffffffff'
BLU    ='|cff8888ff'
DRKBLU ='|cff1b0495'
ORN    ='|cffff9C00'
GRY    ='|cffA0A0A0'

-- Default English text

   -- Options
   CASTPARTY_RESET_CONFIRMATION = "Are you sure you want to reset all your CastParty options to default values?\n\nWARNING:\n Clicking 'Okay' will Reload your entire UI! This will take several seconds; please be patient.";
   CASTPARTY_VERSION            = "4.2";
   CASTPARTY_ONLOAD_MESSAGE     = "CastParty " .. CASTPARTY_VERSION .. " loaded.";

   CASTPARTY_ALIGNMENT_HIDE                  = "hide";
   CASTPARTY_ALIGNMENT_RIGHT                 = "right";
   CASTPARTY_ALIGNMENT_LEFT                  = "left";
   CASTPARTY_ALIGNMENT_BELOW                 = "below";
   CASTPARTY_KEYBINDINGS_NONE                = "None";
   CASTPARTY_KEYBINDINGS_OTHER               = "Other";
   CASTPARTY_MESSAGECHANNEL_RAID             = "raid";
   CASTPARTY_MESSAGECHANNEL_PARTY            = "party";
   CASTPARTY_MESSAGECHANNEL_PLAYER           = "player";
   CASTPARTY_MESSAGECHANNEL_WHISPER          = "whisper";


   -- healing spell base names
   CASTPARTY_HEAL_HEALING_WAVE               = "Healing Wave";
   CASTPARTY_HEAL_LESSER_HEALING_WAVE        = "Lesser Healing Wave";
   CASTPARTY_HEAL_CHAIN_HEAL                 = "Chain Heal";
   CASTPARTY_HEAL_LESSER_HEAL                = "Lesser Heal";
   CASTPARTY_HEAL_HEAL                       = "Heal";
   CASTPARTY_HEAL_GREATER_HEAL               = "Greater Heal";
   CASTPARTY_HEAL_FLASH_HEAL                 = "Flash Heal";
   CASTPARTY_HEAL_RENEW                      = "Renew";
   CASTPARTY_HEAL_PRAYER_OF_HEALING          = "Prayer of Healing";
   CASTPARTY_HEAL_HEALING_TOUCH              = "Healing Touch";
   CASTPARTY_HEAL_REJUVENATION               = "Rejuvenation";
   CASTPARTY_HEAL_REGROWTH                   = "Regrowth";
   CASTPARTY_HEAL_TRANQUILITY                = "Tranquility";
   CASTPARTY_HEAL_HOLY_LIGHT                 = "Holy Light";
   CASTPARTY_HEAL_FLASH_OF_LIGHT             = "Flash of Light";
   CASTPARTY_HEAL_MEND_PET                   = "Mend Pet";
   CASTPARTY_HEAL_HEALTH_FUNNEL              = "Health Funnel";
   CASTPARTY_HEAL_FIRST_AID                  = "First Aid";
   CASTPARTY_HEAL_HOLY_SHOCK                 = "Holy Shock";


   -- resurrection spell names
   CASTPARTY_RES_ANCESTRAL_SPIRIT            = "Ancestral Spirit";
   CASTPARTY_RES_RESURRECTION                = "Resurrection";
   CASTPARTY_RES_REBIRTH                     = "Rebirth";
   CASTPARTY_RES_REDEMPTION                  = "Redemption";
   -- CASTPARTY_RES_SHAMSELFREZ                = "Reincarnation";


   -- cure/ailment spell base names
   CASTPARTY_CURE_DISEASE_1                  = "Cure Disease";
   CASTPARTY_CURE_DISEASE_2                  = "Abolish Disease";
   CASTPARTY_CURE_PURIFY_1                   = "Purify";
   CASTPARTY_CURE_CLEANSE_1                  = "Cleanse";
   CASTPARTY_CURE_MAGIC_1                    = "Dispel Magic";
   CASTPARTY_CURE_MAGIC_2                    = "Devour Magic";
   CASTPARTY_CURE_POISON_1                   = "Cure Poison";
   CASTPARTY_CURE_POISON_2                   = "Abolish Poison";
   CASTPARTY_CURE_CURSE_1                    = "Remove Lesser Curse";
   CASTPARTY_CURE_CURSE_2                    = "Remove Curse";
   CASTPARTY_CURE_PURGE                      = "Purge";


   -- cure/ailment types
   CASTPARTY_AILMENT_DISEASE                 = "Disease";
   CASTPARTY_AILMENT_MAGIC                   = "Magic";
   CASTPARTY_AILMENT_POISON                  = "Poison";
   CASTPARTY_AILMENT_CURSE                   = "Curse";

   -- buff spell base names

   -- Druid
   -- CASTPARTY_BUFF_NATURES_GRASP             = "Nature\'s Grasp";
   CASTPARTY_BUFF_NATURES_SWIFTNESS           = "Nature\'s Swiftness";
   -- CASTPARTY_BUFF_BARKSKIN                  = "Barkskin";
   CASTPARTY_BUFF_INNERVATE                   = "Innervate";
   CASTPARTY_BUFF_MOTW                        = "Mark of the Wild";
   CASTPARTY_BUFF_THORNS                      = "Thorns";

   -- Mage
   -- CASTPARTY_BUFF_FIRE_WARD                 = "Fire Ward";
   -- CASTPARTY_BUFF_FROST_WARD                = "Frost Ward";

   -- CASTPARTY_BUFF_COLD_SNAP                 = "Cold Snap";
   -- CASTPARTY_BUFF_COMBUSTION                = "Combustion";
   -- CASTPARTY_BUFF_EVOCATION                 = "Evocation";
   -- CASTPARTY_BUFF_PRESENCE_OF_MIND          = "Presence of Mind";
   -- CASTPARTY_BUFF_ARCANE_POWER              = "Arcane Power";
   CASTPARTY_BUFF_MANA_SHIELD                = "Mana Shield";
   -- CASTPARTY_BUFF_ICE_BLOCK                 = "Ice Block";
   CASTPARTY_BUFF_ICE_BARRIER                = "Ice Barrier";
   CASTPARTY_BUFF_FROST_ARMOR               = "Frost Armor";
   CASTPARTY_BUFF_ICE_ARMOR                 = "Ice Armor";
   -- CASTPARTY_BUFF_SLOW_FALL                 = "Slow Fall";
   -- CASTPARTY_BUFF_MAGE_ARMOR                = "Mage Armor";

   -- CASTPARTY_BUFF_AMPLIFY_MAGIC             = "Amplify Magic";
   -- CASTPARTY_BUFF_DAMPEN_MAGIC              = "Dampen Magic";
   CASTPARTY_BUFF_ARCANE_INTELLECT           = "Arcane Intellect";

   -- Paladin
   CASTPARTY_BUFF_BLESS_OF_SACRIFICE         = "Blessing of Sacrifice";
   CASTPARTY_BUFF_BLESS_OF_SALVATION         = "Blessing of Salvation";
   CASTPARTY_BUFF_BLESS_OF_FREEDOM           = "Blessing of Freedom";
   CASTPARTY_BUFF_BLESS_OF_LIGHT             = "Blessing of Light";
   CASTPARTY_BUFF_BLESS_OF_SANCTUARY         = "Blessing of Sanctuary";
   CASTPARTY_BUFF_BLESS_OF_KINGS             = "Blessing of Kings";
   CASTPARTY_BUFF_BLESS_OF_PROTECTION        = "Blessing of Protection";
   CASTPARTY_BUFF_BLESS_OF_MIGHT             = "Blessing of Might";
   CASTPARTY_BUFF_BLESS_OF_WISDOM            = "Blessing of Wisdom";
   CASTPARTY_BUFF_GREAT_BLESS_OF_LIGHT       = "Greater Blessing of Light";
   CASTPARTY_BUFF_GREAT_BLESS_OF_SANCT       = "Greater Blessing of Sanctuary";
   CASTPARTY_BUFF_GREAT_BLESS_OF_KINGS       = "Greater Blessing of Kings";
   CASTPARTY_BUFF_GREAT_BLESS_OF_MIGHT       = "Greater Blessing of Might";
   CASTPARTY_BUFF_GREAT_BLESS_OF_WISDOM      = "Greater Blessing of Wisdom";
   CASTPARTY_BUFF_GREAT_BLESS_OF_SALV        = "Greater Blessing of Salvation";

   -- CASTPARTY_BUFF_SEAL_OF_COMMAND           = "Seal of Command";
   -- CASTPARTY_BUFF_SEAL_OF_FURY              = "Seal of Fury";
   -- CASTPARTY_BUFF_SEAL_OF_JUSTICE           = "Seal of Justice";
   -- CASTPARTY_BUFF_SEAL_OF_LIGHT             = "Seal of Light";
   -- CASTPARTY_BUFF_SEAL_OF_RIGHTEOUSNESS     = "Seal of Righteousness";
   -- CASTPARTY_BUFF_SEAL_OF_WISDOM            = "Seal of Wisdom";
   -- CASTPARTY_BUFF_SEAL_OF_THE_CRUSADER      = "Seal of the Crusader";
   CASTPARTY_BUFF_DIVINE_PROTECTION          = "Divine Protection";
   CASTPARTY_BUFF_DIVINE_SHIELD              = "Divine Shield";
   -- CASTPARTY_BUFF_HOLY_SHIELD               = "Holy Shield";
   -- CASTPARTY_BUFF_DIVINE_FAVOR              = "Divine Favor";

   -- Priest
   CASTPARTY_BUFF_FEAR_WARD                  = "Fear Ward";
   CASTPARTY_BUFF_DIVINE_SPIRIT              = "Divine Spirit";
   CASTPARTY_BUFF_POWER_WORD_FORTITUDE       = "Power Word: Fortitude";
   CASTPARTY_BUFF_POWER_WORD_SHIELD          = "Power Word: Shield";
   CASTPARTY_BUFF_SHADOW_PROTECTION          = "Shadow Protection";
   CASTPARTY_BUFF_INNER_FIRE                 = "Inner Fire";
   CASTPARTY_BUFF_INNER_FOCUS                = "Inner Focus";
   CASTPARTY_BUFF_SPIRIT_OF_REDEMPTION       = "Spirit of Redemption";

   -- Warrior
   CASTPARTY_BUFF_MORTAL_STRIKE              = "Mortal Strike";

   -- Shaman
   CASTPARTY_BUFF_SWIFTMEND                  = "Swiftmend";

   -- debuff spell base names
   CASTPARTY_DEBUFF_WS                       = "Weakened Soul";

   -- bandage names
   CASTPARTY_BAND_HEAVY_RUNECLOTH            = "Heavy Runecloth Bandage";
   CASTPARTY_BAND_RUNECLOTH                  = "Runecloth Bandage";
   CASTPARTY_BAND_HEAVY_MAGEWEAVE            = "Heavy Mageweave Bandage";
   CASTPARTY_BAND_MAGEWEAVE                  = "Mageweave Bandage";
   CASTPARTY_BAND_HEAVY_SILK                 = "Heavy Silk Bandage";
   CASTPARTY_BAND_SILK                       = "Silk Bandage";
   CASTPARTY_BAND_HEAVY_WOOL                 = "Heavy Wool Bandage";
   CASTPARTY_BAND_WOOL                       = "Wool Bandage";
   CASTPARTY_BAND_HEAVY_LINEN                = "Heavy Linen Bandage";
   CASTPARTY_BAND_LINEN                      = "Linen Bandage";

   -- druid reagents required for resurrections
   CASTPARTY_REA_MAPLE_SEED                  = "Maple Seed";
   CASTPARTY_REA_STRANGLETHORN_SEED          = "Stranglethorn Seed";
   CASTPARTY_REA_ASHWOOD_SEED                = "Ashwood Seed";
   CASTPARTY_REA_HORNBEAM_SEED               = "Hornbeam Seed";
   CASTPARTY_REA_IRONWOOD_SEED               = "Ironwood Seed";

   -- key bindings
   BINDING_HEADER_CASTPARTY_HEADER           = "CastParty";
   BINDING_NAME_CASTPARTY_OPTIONS            = "CastParty Options"
   BINDING_NAME_CASTPARTY_DOTHERIGHTTHING    = "Do the Right Thing";
   BINDING_NAME_CASTPARTY_CUREGROUPMEMBER    = "Cure Group Member";
   BINDING_NAME_CASTPARTY_EFFICIENT          = "Efficient Heal";
   BINDING_NAME_CASTPARTY_EMERGENCY          = "Emergency Heal";
   BINDING_NAME_CASTPARTY_GROUP              = "Group Heal";
   BINDING_NAME_CASTPARTY_INSTANT            = "Instant Heal";
   BINDING_NAME_CASTPARTY_APPLYHEAL          = "Apply Heal";
   BINDING_NAME_CASTPARTY_BANDAGE            = "Bandage";
   BINDING_NAME_CASTPARTY_SHIELD             = "Apply Shield";
   BINDING_NAME_CASTPARTY_REBUFF             = "Buff-O-Matic";
   BINDING_NAME_CASTPARTY_STOPSPELL          = "Cancel-O-Matic";
   BINDING_NAME_CASTPARTY_PANIC              = "Panic";
   BINDING_NAME_CASTPARTY_TOGGLEMAXRANK      = "Toggle Max Rank Heal";
   BINDING_NAME_CASTPARTY_BATTLEFIELD_HEAL   = "Battlefield Heal";


   -- misc
   CASTPARTY_RANK                            = "Rank";
   CASTPARTY_PARTY                           = "party";
   CASTPARTY_CLEARCASTING                    = "Clearcasting";
   CASTPARTY_HEALING_BONUS                   = "Healing Bonus from items: ";
   CASTPARTY_MONITOR                         = "Monitor";
   CASTPARTY_UNMONITOR                       = "UnMonitor";
   CASTPARTY_TARGET                          = "Show SubTarget";
   CASTPARTY_UNTARGET                        = "Hide SubTarget";
   CASTPARTY_CORPSEOF                        = "Corpse of ";
   CASTPARTY_GHOST                           = "Ghost";
   CASTPARTY_REZ_SICK                        = "Ressurection Sickness";
   CASTPARTY_SHIELD_HEAL                     = "Shield detected! Healing instead...";
   CASTPARTY_GHOST_HEAL                      = "They have released! You must manually click on the body!!";
   CASTPARTY_RALLYING_CRY                    = "Rallying Cry of the Dragonslayer";
   CASTPARTY_WARCHIEFS_BLESS                 = "Warchief\'s Blessing";


   -- Options tooltips
   CASTPARTY_OPTIONS_TEXT1    = "Show CP player";
   CASTPARTY_TOOLTIP1         = "Uncheck to hide CP Player Frame";

   CASTPARTY_OPTIONS_TEXT2    = "Hide normal party";
   CASTPARTY_TOOLTIP2         = "Check to hide the Blizzard Party Frame";

   CASTPARTY_OPTIONS_TEXT3    = "Show status bar";
   CASTPARTY_TOOLTIP3         = "Specify whether statusbar frame is visible";

   CASTPARTY_OPTIONS_TEXT5    = "Show CP party";
   CASTPARTY_TOOLTIP5         = "Uncheck to hide CP Party Frame";

   CASTPARTY_OPTIONS_TEXT6    = "Lock CastParty position";
   CASTPARTY_TOOLTIP6         = "Check to lock the position of the party bars \n(so that they cannot be moved)";

   CASTPARTY_OPTIONS_TEXT8    = "Show CP target";
   CASTPARTY_TOOLTIP8         = "Check to show the CP Target Frame";

   CASTPARTY_OPTIONS_TEXT9    = "Hide normal target";
   CASTPARTY_TOOLTIP9         = "Check to hide the Blizzard Target Frame";

   CASTPARTY_OPTIONS_TEXT10   = "Hide normal player";
   CASTPARTY_TOOLTIP10        = "Check to hide the Blizzard Player Frame";

   CASTPARTY_OPTIONS_TEXT11   = "Range Status";
   CASTPARTY_TOOLTIP11        = "Check to use the status bar's color to approximate \n the distance to the player";

   CASTPARTY_OPTIONS_TEXT12   = "Allow custom blizz clicks";
   CASTPARTY_TOOLTIP12        = "Check to use CastParty click behavior for the "..BLU.."Blizzard "..WHT.."unit frames. \n"..GRY.."This will "..RED.."MODIFY "..GRY.."the default behavior for them!!!";

   CASTPARTY_OPTIONS_TEXT13   = "Allow custom click behavior";
   CASTPARTY_TOOLTIP13        = "Check to use CastParty click behavior for "..ORN.."other "..WHT.."unit frames. \n"..GRY.."This will "..RED.."MODIFY "..GRY.."the default behavior for them!!!";


   -- buffs tooltips
   CASTPARTY_OPTIONS_TEXT101  = "Show debuffs";
   CASTPARTY_TOOLTIP101       = "Specify whether debuffs should be shown or not";

   CASTPARTY_OPTIONS_TEXT102  = "Show buffs";
   CASTPARTY_TOOLTIP102       = "Specify whether buffs should be shown or not";

   CASTPARTY_OPTIONS_TEXT103  = "Filter buffs";
   CASTPARTY_TOOLTIP103       = "Specify whether buffs should be filtered to only those that you can cast";

   CASTPARTY_OPTIONS_TEXT104  = "Filter debuffs";
   CASTPARTY_TOOLTIP104       = "Specify whether debuffs should be filtered to only those that you can cure";

   CASTPARTY_OPTIONS_TEXT106  = "Show Tooltips";
   CASTPARTY_TOOLTIP106       = "Specify whether tooltips should be shown when mousing over buffs and debuffs";

   CASTPARTY_OPTIONS_TEXT1061 = "Hide Tooltips in Combat";
   CASTPARTY_TOOLTIP1061      = "Specify if you want to hide the buff tooltips while in combat";

   CASTPARTY_OPTIONS_TEXT107  = "Show common buffs";
   CASTPARTY_TOOLTIP107       = "Specify if you want to always display common buffs (mounts, drink/food)";

   CASTPARTY_TOOLTIP108       = "Specify manner in which way buffs are displayed with respect to the party bars";
   CASTPARTY_TOOLTIP113       = "Specify manner in which way debuffs are displayed with respect to the party bars";

   CASTPARTY_OPTIONS_TEXT114  = "Show HOTs";
   CASTPARTY_TOOLTIP114       = "Check to always show Renew, Rejuvenation, and Regrowth";

   CASTPARTY_TOOLTIP117       = "Select the maximum number of buffs and debuffs to show"


   -- bars tooltips
   CASTPARTY_OPTIONS_TEXT200  = "Show Tooltips";
   CASTPARTY_TOOLTIP200       = "Specify whether tooltips should be shown when mousing over players in your party";

   CASTPARTY_OPTIONS_TEXT2001 = "Hide Tooltips in Combat";
   CASTPARTY_TOOLTIP2001      ="Specify if you want to hide the party tooltips while in combat";

   CASTPARTY_OPTIONS_TEXT201  = "Show power";
   CASTPARTY_TOOLTIP201       = "Check to show rage/energy for warriors/rogues (and shifted druids)";

   CASTPARTY_OPTIONS_TEXT203  = "Show Flags";
   CASTPARTY_TOOLTIP203       = "Uncheck to disable showing of flags such as \nParty Leader, PVP, and Loot Master";

   CASTPARTY_OPTIONS_TEXT204  = "Flow Up";
   CASTPARTY_TOOLTIP204       = "Reverse the order in which the frames are displayed \n(top -> bottom   OR   bottom -> top)";

   CASTPARTY_TOOLTIP205       = "Specify the height of your health bar";
   CASTPARTY_TOOLTIP206       = "Specify the height of your mana bar";
   CASTPARTY_TOOLTIP207       = "Specify the width of your health and mana bars";

   CASTPARTY_TOOLTIP208       = "Specify the format of the text on your party member bars"..
                                "\n    %n - unit name\n    %h - current health\n    %Mh - max health\n    %Dh - health deficit\n    %Ph - health percent\n    %DPh - health deficit percent\n    %m - current mana/rage/energy\n    %Mm - max m/r/e\n    %Dm - m/r/e deficit\n    %Pm - m/r/e percent\n    %DPm - m/r/e deficit percent\n    %l - level\n    %L - don't show lvl 60\n    %c - class\n    %C - class short name\n\n    %NL - line break"..
                                "\nPress enter to set.";
   CASTPARTY_TOOLTIP209       = "Specify the format of the text on your target bar"..
                                "\n    %n - unit name\n    %h - current health\n    %Mh - max health\n    %Dh - health deficit\n    %Ph - health percent\n    %DPh - health deficit percent\n    %m - current mana/rage/energy\n    %Mm - max m/r/e\n    %Dm - m/r/e deficit\n    %Pm - m/r/e percent\n    %DPm - m/r/e deficit percent\n    %l - level\n    %L - don't show lvl 60\n    %c - class\n    %C - class short name\n\n    %NL - line break"..
                                "\nPress enter to set.";

   CASTPARTY_OPTIONS_TEXT210  = "Color Names";
   CASTPARTY_TOOLTIP210       = "Check to color names by what class they are";

   CASTPARTY_OPTIONS_TEXT211  = "Color Level";
   CASTPARTY_TOOLTIP211       = "Check to color level by how difficult\n they are in relation to you";


   -- behavior tooltips
   CASTPARTY_OPTIONS_TEXT300  = GRN.."Health";
   CASTPARTY_TOOLTIP300       = "Specify growth/coloring behavior of"..GRN.." HEALTH"..WHT.." bars\n    checked: bars grow as  pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3001 = BLU.."Mana";
   CASTPARTY_TOOLTIP3001      = "Specify growth/coloring behavior of"..BLU.." MANA"..WHT.." bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3002 = RED.."Rage";
   CASTPARTY_TOOLTIP3002      = "Specify growth/coloring behavior of"..RED.." RAGE"..WHT.." bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3003 = ORN.."Focus";
   CASTPARTY_TOOLTIP3003      = "Specify growth/coloring behavior of"..ORN.." FOCUS "..WHT.."bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_OPTIONS_TEXT3004 = YEL.."Energy";
   CASTPARTY_TOOLTIP3004      = "Specify growth/coloring behavior of"..YEL.." ENERGY "..WHT.."bars\n    checked: bars grow as pools shrink (CastParty style)\n    unchecked: bars shrink as pools shrink (default WoW client style)";

   CASTPARTY_TOOLTIP301       = "Specifies the health percentage a given spell must \nsatisfy to be chosen as the most appropriate heal.\nFor example; a value of 0.90 indicates that if a heal gets \nthe player to 90% health no higher heal will be tested";
   CASTPARTY_TOOLTIP302       = "If the heal spell being cast is not going to hit for at least this \nfraction of it's potential; it will cancel. \nSo; if you set it to 20% then a 1000 point heal will go through \nif the recipient needs at least 200 points of healing";
   CASTPARTY_TOOLTIP303       = "If the amount of healing that your group heal spell can do \n(assuming you have one) is this much more health/mana efficient \nthan your best single target efficient heal the group heal will be favored.\nThis affects the 'Do The Right Thing' key binding.";

   CASTPARTY_OPTIONS_TEXT304  = "Emergency in combat";
   CASTPARTY_TOOLTIP304       = "Checked Specifies that emergency spells will be favored when \nthe player is on a monster's hate list and has recenty taken damage";

   CASTPARTY_TOOLTIP305       = "Specifies the health percentage at which the player will cast \nemergency heals in place of longer casting more efficient heals.";
   CASTPARTY_TOOLTIP306       = "Number of seconds for which damage will be considered recent in the above.\nA value of 2 (and checked for 'emergency_in_combat') means that the \nplayer must be in combat and taken damage in the last 2 seconds to \nautomatically use emergency heals";

   CASTPARTY_OPTIONS_TEXT308  = "Resurrect dead";
   CASTPARTY_TOOLTIP308       = "Enable resurection by clicking on dead player's bar";

   CASTPARTY_OPTIONS_TEXT309  = "Click to rebuff";
   CASTPARTY_TOOLTIP309       = "Check to enable re-casting of a buff when it's clicked on";

   CASTPARTY_OPTIONS_TEXT311  = "Click to debuff";
   CASTPARTY_TOOLTIP311       = "Check to enable curing a buff when it's clicked on";

   CASTPARTY_OPTIONS_TEXT312  = "Right-click to remove";
   CASTPARTY_TOOLTIP312       = "Check to enable cancelling a buff when right-clicked on";


   -- messaging tooltips
   CASTPARTY_OPTIONS_TEXT400  = "Message Heals";
   CASTPARTY_TOOLTIP400       = "Specify whether we should message about healing spells";

   CASTPARTY_OPTIONS_TEXT401  = "Message Non Heals";
   CASTPARTY_TOOLTIP401       = "Specify whether we should message about non-healing spells";

   CASTPARTY_TOOLTIP402       = "Specify where to send messages. \nSetting to raid while not in a raid will send to party. \nIf not in a party, setting to raid or party will not generate messages.";
   CASTPARTY_TOOLTIP403       = "Specify the health percentage at which and below \nwe should issue healing messages";
   CASTPARTY_TOOLTIP404       = "Specify the template to say when casting spells (nothing indicates no message)\n    %c - target class\n    %C - target class abbreviation\n    %d - duration of cast in seconds\n    %e - estamated lowest health amount healed on delivery\n    %h - health of target\n    %H - health deficit\n    %l - level of target\n    %L - level of target (hide if 60)\n    %m - health max of target\n    %n - name of target\n    %p - health percent of target\n    %P - health percent deficit of target\n    %r - spell rank\n    %s - spell name\n    %t - custom health message\n";

   CASTPARTY_OPTIONS_TEXT405  = "Message Failures";
   CASTPARTY_TOOLTIP405       = "Specify whether to message about spellcast failure or interrupt. \nOut of Range and Line of Sight failures should be reported."

   CASTPARTY_OPTIONS_TEXT406  = "Message Res";
   CASTPARTY_TOOLTIP406       = "Specify whether we should message when you ressurect another player";

   CASTPARTY_TOOLTIP407       = "Specify the health percentage at which and below we should issue failure messages";
   CASTPARTY_TOOLTIP408       = "Specify to stop spamming if mana is below this percentage";


   -- color tooltips
   CASTPARTY_TOOLTIP500       = "Specifies the color for the name plate text";
   CASTPARTY_TOOLTIP501       = "Specifies the color for the health bar background";
   CASTPARTY_TOOLTIP502       = "Specifies the color for the mana bar background";
   CASTPARTY_TOOLTIP503       = "Specifies the color for the FULL health bar.";
   CASTPARTY_TOOLTIP504       = "Specifies the color for the EMPTY health bar.";
   CASTPARTY_TOOLTIP505       = "Specifies the color for the FULL mana bar.";
   CASTPARTY_TOOLTIP506       = "Specifies the color for the EMPTY mana bar.";
   CASTPARTY_TOOLTIP507       = "Specifies the color for the name plate mana text";
   CASTPARTY_TOOLTIP508       = "Specifies the color for the name plate rage text";
   CASTPARTY_TOOLTIP509       = "Specifies the color for the name plate energy text";

   CASTPARTY_TOOLTIP601       = "Open the CastParty KeyBindings dialog; which lets you \nchoose set actions/spells to mouse clicks";
   CASTPARTY_TOOLTIP602       = "Resets all values to the default ones provided with CastParty.\nWill require reloading your UI (equivalent to logging out \nand back in but without leaving the server)";


   -- advanced tooltips
   CASTPARTY_TOOLTIP900       = "Specifies the time interval for the range checking to occur";

   CASTPARTY_OPTIONS_TEXT901  = "Monitor healing status";
   CASTPARTY_TOOLTIP901       = "Check to show the healing status monitor frame";

   CASTPARTY_OPTIONS_TEXT902  = "Toggle AutoInnerFire";
   CASTPARTY_TOOLTIP902       = "Check to autocast InnerFire, when you are in combat,\n and nothing important is happening";

   CASTPARTY_OPTIONS_TEXT903  = "Toggle AutoCast Canceler";
   CASTPARTY_TOOLTIP903       = "Check to automatically cancel wand/gun auto-casting/shooting \nif you try to cast a spell while you are auto-casting/shooting.";

   CASTPARTY_TOOLTIP904       = "Adjust the distance between the frames.";

   CASTPARTY_OPTIONS_TEXT905  = "Advanced Spell Logic";
   CASTPARTY_TOOLTIP905       = "Check to allow Heal-O-Matic to use advanced spell logic.";

   CASTPARTY_OPTIONS_TEXT906  = "OverHeal Protection";
   CASTPARTY_TOOLTIP906       = "Check to conserve mana when choosing spells, \nso that you do not overheal your target.";

   CASTPARTY_OPTIONS_TEXT907  = "Shield Detection";
   CASTPARTY_TOOLTIP907       = "Check if you want to use an efficient heal when\n a shield is present on the target.";

   CASTPARTY_OPTIONS_TEXT908  = "Max Rank Hot";
   CASTPARTY_TOOLTIP908       = "Check to force highest rank spell for HoT's,\n based only on mana, and level of target.\n  instead of based on health to recover.";

   CASTPARTY_TOOLTIP909       = "If set at e.g. 0.45 CastParty will try to use mana efficient\n (usually slower) spells once your mana is below 45%... \n (only used when emergency_in_combat is enabled.)";
   CASTPARTY_TOOLTIP910       = "This sets the target heal threshold for bandages.";
   CASTPARTY_TOOLTIP911       = "The setting only effects 'Do the right thing' and is a controling variable for\n  pets by setting it to 120% the pet will appear to have 20% more health then then it\n  otherwise would, setting it at 80% would make a pet appear to have 20% less\n  health. If you prefer healing pets, use a number <100%, if you prefer healing players,\n  keep it >100%.";
   CASTPARTY_TOOLTIP912       = "This allows you to change the debug level. \n Set to 5 to disable debug messages";

   CASTPARTY_OPTIONS_TEXT913  = "Critical Auto Shield";
   CASTPARTY_TOOLTIP913       = "Check to allow a shield to be cast if your target's health is below 15% \n (only with Advanced logic)";


   -- click key binding tooltips
   CASTPARTY_TOOLTIP1001 = "Specify what to do when you click on a frame";
   CASTPARTY_TOOLTIP1002 = "Specify what to do when you hold Alt and click on a frame";
   CASTPARTY_TOOLTIP1003 = "Specify what to do when you hold Alt and Control and click on a frame";
   CASTPARTY_TOOLTIP1004 = "Specify what to do when you hold Alt; Control; and Shift and click on a frame";
   CASTPARTY_TOOLTIP1005 = "Specify what to do when you hold Control and click on a frame";
   CASTPARTY_TOOLTIP1006 = "Specify what to do when you hold Control and Shift and click on a frame";
   CASTPARTY_TOOLTIP1007 = "Specify what to do when you hold Shift and click on a frame";

   CASTPARTY_TOOLTIP1011 = "Set the key bindings for left mouse button clicks";
   CASTPARTY_TOOLTIP1012 = "Set the key bindings for right mouse button clicks";
   CASTPARTY_TOOLTIP1013 = "Set the key bindings for middle mouse button clicks";
   CASTPARTY_TOOLTIP1014 = "Set the key bindings for button4 clicks";
   CASTPARTY_TOOLTIP1015 = "Set the key bindings for button5 clicks";

   CASTPARTY_TOOLTIP1041 = "Specify the spell to cast";


   -- minimap button tooltips
   TOOLTIP_DRAGICON       = "Click to drag.\nRight-click to hide.";

   TOOLTIP_MAPDRAGICON    = "CastParty Options.";
   TOOLTIP_MAP21DRAGICON  = "Click to toggle control panel.";
   TOOLTIP_MAP22DRAGICON  = "Click and drag to relocate button.";
   TOOLTIP_MAP31DRAGICON  = "Ctrl+click to force max heals.";
   TOOLTIP_MAP32DRAGICON  = "Click to allow normal heals.";
   TOOLTIP_MAP41DRAGICON  = "Right-click to unlock position.";
   TOOLTIP_MAP42DRAGICON  = "Right-click to lock position.";


   -- ------------------------------------------------------------------------------------
   -- FAILURE MESSAGES
   -- Specify whether to message about spell casting failures but still uses
   -- health_percent to control when to spam the chat channel. (nil indicates no message)
   -- ------------------------------------------------------------------------------------
   -- Out of range message set to nil to disable this message
   CastParty_message_range = '%n, You\'re out of range, %t';

   -- No line of sight set to nil to disable this message
   CastParty_message_sight = '%n, I can not see you, %t';

   -- Interrupted while casting a spell set to nil to disable this message
   CastParty_message_interrupt = 'I\'ve been interrupted while trying to heal %n, %t';

   -- the player is reciving damage while trying to heal set to nil to disable this message
   CastParty_message_under_attack = 'I\'m under attack and I am trying to heal %n, %t';

   -- the player is stunned while trying to heal set to nil to disable this message
   CastParty_message_stunned = 'I\'ve been stunned while trying to heal %n, %t';

   -- the player has been silenced while trying to heal, set to nil to disable this message
   CastParty_message_silenced = 'I\'ve been silenced while trying to heal %n, %t';

   -- the following messaged are printed if you use the %t options in previous text messages
   -- 90% - 100% health
   CastParty_message_health_100 = 'your health is full';

   -- 80% - 89% health
   CastParty_message_health_90 = 'and you\'re in great shape';

   -- 70% - 79% health
   CastParty_message_health_80 = 'but you\'re good to go';

   -- 60% - 69% health
   CastParty_message_health_70 = 'your health is fine';

   -- 50% - 59% health
   CastParty_message_health_60 = 'but you should be OK';

   -- 40% - 49% health
   CastParty_message_health_50 = 'you\'re Less then 1/2 health';

   -- 30% - 39% health
   CastParty_message_health_40 = 'things are not looking good for you';

   -- 20% - 29% health
   CastParty_message_health_30 = 'be careful';

   -- 10% - 19% health
   CastParty_message_health_20 = 'your health is CRITICAL';

   -- 0% - 9% health
   CastParty_message_health_10 = 'you\'re on LIFE SUPPORT!';
