-- Make a class for Rogue-based constants and funcitonality
-- load this class when castparty starts and detects the player's class as Rogue
-- use an instance to call desired overloaded methods

local ROGUE_NAMESPACE = {} -- declare the namespace
CastParty.BrainFactory.ROGUE = ROGUE_NAMESPACE

--DEFAULT_CHAT_FRAME:AddMessage("loading brainRogue.lua")

function ROGUE_NAMESPACE.new()
  CastParty.Debug(4, "making a new Rogue brain")
  
  ROGUE_NAMESPACE.className = 'ROGUE'
  
  -- ROGUE_NAMESPACE.heal_types = {
  -- }
  -- 
  -- ROGUE_NAMESPACE.class_buffs = {
      --TODO: add non heal/shield buffs
  -- }
  -- 
  -- ROGUE_NAMESPACE.spell_parsers = {
  -- }
  
  return ROGUE_NAMESPACE
end

--@Override
function ROGUE_NAMESPACE.ReloadSpellData()
  CastParty.Debug(1, "calling Rogue.ReloadSpellData")
  return CastParty.BrainBase.ReloadSpellData(ROGUE_NAMESPACE)
end

function ROGUE_NAMESPACE.GetHealAmount(spellEntry)
  --CastParty.Debug(1, 'calling Rogue.GetHealAmount')
  return CastParty.BrainBase.GetHealAmount(spellEntry, ROGUE_NAMESPACE);
end
