-- Make a class for Warlock-based constants and funcitonality
-- load this class when castparty starts and detects the player's class as Warlock
-- use an instance to call desired overloaded methods

local WARLOCK_NAMESPACE = {} -- declare the namespace
CastParty.BrainFactory.WARLOCK = WARLOCK_NAMESPACE

--DEFAULT_CHAT_FRAME:AddMessage("loading brainWarlock.lua")

-------------------
-- Locals

function WARLOCK_NAMESPACE.new()
  CastParty.Debug(4, "making a new Warlock brain")
  
  -- shouldn't need this
  WARLOCK_NAMESPACE.className = 'WARLOCK'
  
  -- WARLOCK_NAMESPACE.heal_types = {
  -- }
  -- 
  -- WARLOCK_NAMESPACE.class_buffs = {
      --TODO: add non heal/shield buffs
  -- }
  -- 
  -- WARLOCK_NAMESPACE.spell_parsers = {
  -- }
  
  -- WARLOCK_NAMESPACE.heal_multipliers = {
      -- [CASTPARTY_HEAL_HEALTH_FUNNEL]          = 10,
  -- }
  
  return WARLOCK_NAMESPACE
end

--@Override
function WARLOCK_NAMESPACE.ReloadSpellData()
  CastParty.Debug(1, "calling Warlock.ReloadSpellData")
  return CastParty.BrainBase.ReloadSpellData(WARLOCK_NAMESPACE)
end

function WARLOCK_NAMESPACE.GetHealAmount(spellEntry)
  --CastParty.Debug(1, 'calling Warlock.GetHealAmount')
  return CastParty.BrainBase.GetHealAmount(spellEntry, WARLOCK_NAMESPACE);
end
